<form autocomplete="off" #setOfficeModal="ngForm" (ngSubmit)="save()">
        <h1 mat-dialog-title>{{ "SetOffice" | localize }}</h1>
        <mat-dialog-content>
              <div class="row-fluid">
                <div class="col-md-12">
                  <mat-form-field>
                    <input
                      matInput
                      name="office"
                      [placeholder]="'Office' | localize"
                      [(ngModel)]="officeAssignment.location"
                      required
                      minlength="3"
                      maxlength="50"
                    />
                  </mat-form-field>
                </div>
              </div>
        </mat-dialog-content>
        <div mat-dialog-actions align="end">
          <button mat-button type="button" [disabled]="saving" (click)="close(false)">
            {{ "Cancel" | localize }}
          </button>
          <button
            mat-flat-button
            type="submit"
            flex="15"
            color="primary"
            [disabled]="!setOfficeModal.form.valid || saving"
          >
            {{ "Save" | localize }}
          </button>
        </div>
      </form>
      